package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFY11Response {

    @Parameter(name = "ACCOUNT_NUMBER")
    String accountNumber();

    @Parameter(name = "CONTACT_CO")
    String contactCo();

    @Parameter(name = "CONTACT_CP")
    String contactCp();

    @Parameter(name = "CONTACT_Obec")
    String cONTACTObec();

    @Parameter(name = "CONTACT_PSC")
    String contactPsc();

    @Parameter(name = "CONTACT_Ulice")
    String cONTACTUlice();

    @Parameter(name = "CONTACT_Zeme")
    String cONTACTZeme();

    @Parameter(name = "CastkaPrvnihoCerpani")
    Double castkaPrvnihoCerpani();

    @Parameter(name = "CelkovaSplatnaCastka")
    Double celkovaSplatnaCastka();

    @Parameter(name = "ChybaZalozeni")
    Long chybaZalozeni();

    @Parameter(name = "DatumPravidelnePlatby")
    Long datumPravidelnePlatby();

    @Parameter(name = "DatumPrvniSplatky")
    java.util.Date datumPrvniSplatky();

    @Parameter(name = "DruhPojisteni")
    String druhPojisteni();

    @Parameter(name = "Jmeno")
    String jmeno();

    @Parameter(name = "LOAN_ACCOUNT_NUMBER")
    String loanAccountNumber();

    @Parameter(name = "MARITAL_STATUS")
    String maritalStatus();

    @Parameter(name = "MesicniPlatbaPojisteni")
    Double mesicniPlatbaPojisteni();

    @Parameter(name = "MesicniPlatbaVedeniUctu")
    Double mesicniPlatbaVedeniUctu();

    @Parameter(name = "MesicniSplatka")
    Double mesicniSplatka();

    @Parameter(name = "MesicniSplatkaCelkem")
    Double mesicniSplatkaCelkem();

    @Parameter(name = "ObchodniMistoKod_OUT")
    String obchodniMistoKodOUT();

    @Parameter(name = "PERM_CO")
    String permCo();

    @Parameter(name = "PERM_CP")
    String permCp();

    @Parameter(name = "PERM_Obec")
    String pERMObec();

    @Parameter(name = "PERM_PSC")
    String permPsc();

    @Parameter(name = "PERM_Ulice")
    String pERMUlice();

    @Parameter(name = "PERM_Zeme")
    String pERMZeme();

    @Parameter(name = "PocetSplatek")
    Long pocetSplatek();

    @Parameter(name = "Poplatek_PoskytnutiUveru")
    Double poplatekPoskytnutiUveru();

    @Parameter(name = "Poplatek_PrichoziTransakce")
    Double poplatekPrichoziTransakce();

    @Parameter(name = "Poplatek_VedeniBU")
    Double poplatekVedeniBU();

    @Parameter(name = "Poplatek_VedeniUveru")
    Double poplatekVedeniUveru();

    @Parameter(name = "Prijmeni")
    String prijmeni();

    @Parameter(name = "RC")
    String rc();

    @Parameter(name = "RPSN")
    Double rpsn();

    @Parameter(name = "UrokovaSazba")
    Double urokovaSazba();

    @Parameter(name = "VyseUveru")
    Double vyseUveru();

}